Subject: Re: [OPSAWG] Request to adopt draft-azinger-additional-private-ipv4-space-issues as a WG document

From: Leo Vegoda <[email-masked]>
Date: Tue, 6 Oct 2009 05:52:52 -0700

Hi,

There hasn't been much discussion about whether this draft should be
accepted as a WG item. Do people support it being adopted as a WG item? If
so - or if not - I would be grateful if you could publicly state your
support or the reason you object.

Thanks,

Leo

On 24/09/2009 9:30, "Leo Vegoda" <[email-masked]> wrote:

> Dear OPSAREA WG,
>> 
> Leo Vegoda and I wrote this draft in  response to an increasing rate of
> questions about the possibility of creating  new private IPv4 address space.
> We would like to have it adopted as a WG  document.
>> 
> Abstract
> 
>    When a private network or  internetwork grows very large it is
>    sometimes not  possible to address it using private IPv4 address
>    space.   This document describes the problems faced by those  networks,
>    the available options and the issues involved  in assigning a new
>    block of private IPv4 address  space.
> 
> http://tools.ietf.org/html/draft-azinger-additional-private-ipv4-space-issues-
> 01
> 
> Many  thanks,
> 
> Marla Azinger &
> Leo Vegoda
>

---

From: Ricardo Patara <[email-masked]>
Date: Wed, 7 Oct 2009 15:02:02 -0300

Hi Leo, how are you?
Speaking for myself here.

I read the document and it states that there is a problem with large  
networks that use private address from RFC1918. Then, it points to  
Available option on the chapter 4. Each of those options have its  
drawback (some of then not related with each other).

Then, it has separate chapter:
5.  Options and Consequences for Defining New Private Use Space

Giving the idea to the reader that this is the best way to solve the  
problem.
Am I right on reading it this way? Was it the idea of the authors?

If so, I am personally against this document.
It is stated that big networks might need this kind of solution. The  
way I see, big networks that has Internet as main business are already  
thinking/planing a long term solution.
There are a couple of cases of big networks deeply involved with IPv6  
and mid term solution for some problems stated on the document.

best regards
Ricardo Patara
--

Em 06/10/2009, às 09:52, Leo Vegoda escreveu:

> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg

---

From: Leo Vegoda <[email-masked]>
Date: Wed, 7 Oct 2009 14:39:40 -0700

Hi Ricardo,

On 07/10/2009 11:02, "Ricardo Patara" <[email-masked]> wrote:

[...]

> Am I right on reading it this way? Was it the idea of the authors?

No, we did not intend to present the options described in section 5 as
preferred outcomes. We just wanted to describe the pros and cons for each of
those options. Was there specific language that implied we supported these
options, or was it something else that gave you that impression?

Many thanks,

Leo

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 08 Oct 2009 11:06:53 +1300

Leo,

I certainly didn't read it as Ricardo did, perhaps because of
my strong belief that expanding "private" space would be a blunder
of historic proportions. But if even one person can read it that
way, the language clearly needs to be clarified.

That said, I think this is a useful document and should help to
prevent the blunder being made, so I'd like to see it adopted.

Regards
   Brian